Subject: Re: [Bitcoin-development] [RFC] listtransactions reformatting

From: Gavin Andresen <[email-masked]>
Date: Sun, 17 Jul 2011 13:02:51 +1000

Fixing listtransactions (and listreceivedby/etc) so coin generation
transactions to particular addresses/accounts are credited to that
address/account is a good idea.

I don't think changing listtransactions output would be on the
priority list for any web services operators (in fact, I think most
would scream bloody murder if the output changed in a way that forced
them to change their code). The accounts-related things that I think
ARE on their high-priority list are:

1) Fixing getbalance and listtransactions performance problems when
you have hundreds of thousands of transactions and thousands of
accounts.

2) push-notification of coins received to accounts, so they don't have
to poll for changes.

-- 
--
Gavin Andresen